Bug 201002 - anaconda @Everything installs .i386 glibc on P3 box
anaconda @Everything installs .i386 glibc on P3 box
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: Reopened
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-08-02 03:35 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 00:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-08-02 03:35:40 EDT
Description of problem:
Fresh rawhide install from July 31st-ish; booting the 2.6.17-1.2488.fc6xen
kernel on a P3, there is an absolutely *huge* amount of dmesg spam.

Version-Release number of selected component (if applicable):
[root@trash ~]# rpm -q kernel-xen
kernel-xen-2.6.17-1.2488.fc6

[root@trash ~]# grep -c 'messages suppressed' /var/log/messages
8661
[root@trash ~]# grep -c '4gb seg fixup' /var/log/messages
8671
[root@trash ~]#
[root@trash ~]# dmesg | tail
printk: 824 messages suppressed.
4gb seg fixup, process pcscd (pid 1915), cs:ip 73:0018eff2
printk: 485 messages suppressed.
4gb seg fixup, process pcscd (pid 1915), cs:ip 73:0018eff2
printk: 3764 messages suppressed.
4gb seg fixup, process sshd (pid 28762), cs:ip 73:00a25ff2
printk: 41717 messages suppressed.
4gb seg fixup, process pcscd (pid 1915), cs:ip 73:0018eff2
printk: 1519 messages suppressed.
4gb seg fixup, process pcscd (pid 1915), cs:ip 73:0018eff2
Comment 1 Juan Quintela 2006-08-02 15:48:24 EDT
This can only happens with a very old libc.  And both sshd & pcscd.
It looks as if your ld.so is very confused.  Please, send the output of:

/proc/1915/maps

where 1915 are the pid's of the process that are giving you trouble.
Comment 2 Joe Orton 2006-08-03 04:31:21 EDT
This is a fresh Raw Hide install as I said, so the *age* of glibc cannot be an
issue.

But this box seems to have the .i386 glibc installed rather than the .i686 one
and I presume that would also explain the problem.  I'll reassign to anaconda.
Comment 3 Joe Orton 2006-08-03 04:32:51 EDT
Something is pretty odd here.

jorton@trash:~$ rpm -q glibc openssl
glibc-2.4.90-15.i386
openssl-0.9.8b-4.1.i686
Comment 4 Jeremy Katz 2006-08-03 09:59:00 EDT
This might actually be fixed by a fix I committed to upstream yum the other day,
but it's probably worth double checking once we have yum 2.9.4 in a tree
Comment 5 Joe Orton 2006-09-13 04:13:45 EDT
anaconda seems to DTRT now, thanks.  But an @Everything install is still getting
a whole lot of "seg fixup" spam with the xen kernel.

jorton@trash:~$ rpm -q kernel glibc
kernel-2.6.17-1.2630.fc6.i686
glibc-2.4.90-29.i686
jorton@trash:~$ uname -a
Linux trash.cambridge.redhat.com 2.6.17-1.2630.fc6xen #1 SMP Wed Sep 6 17:22:21
EDT 2006 i686 i686 i386 GNU/Linux

printk: 529161 messages suppressed.
4gb seg fixup, process beagle-build-in (pid 4175), cs:ip 73:00476ed1
...
4gb seg fixup, process prelink (pid 28398), cs:ip 73:08084338
printk: 107 messages suppressed.
Comment 6 Jeremy Katz 2006-09-22 00:09:27 EDT
Some apps do TLS bits themselves and so trigger the need for the fixup 

Note You need to log in before you can comment on or make changes to this bug.